<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Velko.hristov</id>
		<title>Hostway API Documentation - User contributions [en]</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Velko.hristov"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Special:Contributions/Velko.hristov"/>
		<updated>2026-04-28T01:16:17Z</updated>
		<subtitle>User contributions</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:PUT</id>
		<title>Orders-orderId-account-products-productId-services-serviceId:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:PUT"/>
				<updated>2016-01-29T16:10:33Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}'' =&lt;br /&gt;
Updates a service in order builder.&lt;br /&gt;
Currently supports only updating the name and the billing cycle of the service.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Request Parameters ===&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
A dictionary containing the keys &amp;quot;billingCycle&amp;quot; and &amp;quot;name&amp;quot; and their values.&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;billingCycle&amp;quot;: 12,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;Service Name&amp;quot;,&lt;br /&gt;
  &amp;quot;associatedTo&amp;quot;: [ &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}&amp;quot;, &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/products/{productId}/services/{serviceId}&amp;quot; ],&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Validation Rules ===&lt;br /&gt;
:# The service URL ( ''{{APIBaseURL}}/orders/{orderId}/account/products/{productId}/services/{serviceId}'' ) should point to a valid service already added to the product.&lt;br /&gt;
:# The dictionary key/value pairs should be valid billing cycle and service name.&lt;br /&gt;
:# The billingCycle and name parameters are required.&lt;br /&gt;
:# Each service URL from the associated services list should point to a valid service already added to the product.&lt;br /&gt;
:# Any associated service that already exists on the account must be open.&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 204 No Content&lt;br /&gt;
| -&lt;br /&gt;
| The operation was successfully completed.&lt;br /&gt;
|-&lt;br /&gt;
| rowspan=&amp;quot;2&amp;quot;| 400 Bad Request&lt;br /&gt;
| POST data error&lt;br /&gt;
| Trying to update service with empty body or with invalid body.&lt;br /&gt;
|-&lt;br /&gt;
| Unable to change service: invalid cycle&lt;br /&gt;
| Trying to change the billing cycle to value that is not supported by the current service.&lt;br /&gt;
|-&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The ''OwnerId'' cookie was not specified or is incorrect.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: Service failed permission check&lt;br /&gt;
| The client does not have permissions to update the service.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The client is trying to update a non existing service.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request - invalid or empty body is passed (required field is missing)&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;, &amp;quot;name&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - missing billingCycle&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;billingCycle&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - missing name&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;badRequest&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;aae865ae-5102-49d9-b1ef-8a5419cc0ce7&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;POST data error&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: {&amp;quot;name&amp;quot;: &amp;quot;Required&amp;quot;}&lt;br /&gt;
    }&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
400 Bad Request - invalid billing cycle&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;7c72847f-5138-44e8-ad93-cc80bb5ba7bc&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unable to change service: invalid cycle&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 400,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order or product was not found.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;e1792d8a-5b0a-43ef-adf5-34a0710c8fc5&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:GET</id>
		<title>Orders-orderId-account-products-productId-services-serviceId:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services-serviceId:GET"/>
				<updated>2016-01-28T17:09:13Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}'' =&lt;br /&gt;
Get details about a specific service in a given product.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /orders/''{orderId}''/account/products/''{productId}''/services/''{serviceId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
; serviceId - ''string''&lt;br /&gt;
: UUID specifying the service&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 200 OK&lt;br /&gt;
| -&lt;br /&gt;
| The services for the order and product (if any) are successfully returned.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The '''OwnerId''' cookie or the '''Authorization''' header are not specified or do not permit access to the specified order.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: Services failed permission check&lt;br /&gt;
| The client does not have assess to get the information about the service.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The client is trying to get the information for a service for non existing order, product or service.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;new&amp;quot;,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;john.smith1&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}/&amp;quot;,&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;relatedTo&amp;quot;: [ &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{relatedServiceId}&amp;quot; ],&lt;br /&gt;
  &amp;quot;associatedTo&amp;quot;: [ &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}&amp;quot; ],&lt;br /&gt;
  &amp;quot;serviceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
  &amp;quot;billingCycle&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;quantity&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;attributes&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}/attributes&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
===== Parameters =====&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: Current status of the service. Allowed values are '''new''', '''placed''', '''pending''', '''open''', '''suspended''', '''close_pending''', '''closed''', '''purge_pending''' and '''purged'''&lt;br /&gt;
&lt;br /&gt;
; name - ''string''&lt;br /&gt;
: The name of the specific service&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for the product resource&lt;br /&gt;
&lt;br /&gt;
; relatedTo - ''list''&lt;br /&gt;
: A list containing other services related in some way to the current service&lt;br /&gt;
&lt;br /&gt;
; associatedTo - ''list'' (optional)&lt;br /&gt;
: A list containing other services that are associated in some way to the service.  The list may contain links to [[Orders#Services|other new services in the order]] and/or a link to an [[Account#Products_Management|existing service]] that belongs to the same account and product.  In most cases the list may be empty unless otherwise stated.&lt;br /&gt;
&lt;br /&gt;
; serviceSpecification - ''string''&lt;br /&gt;
: Link to the product catalogue specification describing the given service&lt;br /&gt;
&lt;br /&gt;
; billingCycle - ''integer''&lt;br /&gt;
: Billing cycle of the service. Allowed values are from '''1''' to '''120'''&lt;br /&gt;
&lt;br /&gt;
; quantity- ''integer''&lt;br /&gt;
: Quantity (if multiple services is allowed) of the service.&lt;br /&gt;
&lt;br /&gt;
; attributes - ''string''&lt;br /&gt;
: A link to the attributes of the service&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden - the client does not have assess to get the information about the service.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;d336dd8e-bc52-44f3-b672-9aa2fac7fbf4&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: Services failed permission check&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order, product or service doesn't exist.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;3a422918-24c3-4c20-9bee-f1c61695e987&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services:GET</id>
		<title>Orders-orderId-account-products-productId-services:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders-orderId-account-products-productId-services:GET"/>
				<updated>2016-01-28T17:07:16Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /orders/''{orderId}''/account/products/''{productId}''/services =&lt;br /&gt;
Get all Services in a given product.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /orders/''{orderId}''/account/products/''{productId}''/services&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
{{UriParameter-OrderId}}&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: UUID specifying the product&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Cookie-OwnerId}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
{| class=&amp;quot;wikitable&amp;quot;&lt;br /&gt;
! Status Code&lt;br /&gt;
! Error Message&lt;br /&gt;
! Description&lt;br /&gt;
|-&lt;br /&gt;
| 200 OK&lt;br /&gt;
| -&lt;br /&gt;
| The services for the order and product (if any) are successfully returned.&lt;br /&gt;
|-&lt;br /&gt;
| 401 Unauthorized&lt;br /&gt;
| This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&lt;br /&gt;
| The '''OwnerId''' cookie or the '''Authorization''' header are not specified or do not permit access to the specified order.&lt;br /&gt;
|-&lt;br /&gt;
| 403 Forbidden&lt;br /&gt;
| Unauthorized: Services failed permission check&lt;br /&gt;
| The client does not have permissions to get information about the services.&lt;br /&gt;
|-&lt;br /&gt;
| 404 Not Found&lt;br /&gt;
| Resource not found&lt;br /&gt;
| The client is trying to get the services for non existing order or non existing product.&lt;br /&gt;
|-&lt;br /&gt;
| 502 Bad Gateway&lt;br /&gt;
| -&lt;br /&gt;
| Unexpected backend response.&lt;br /&gt;
|}&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
==== Successful response ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;status&amp;quot;: &amp;quot;new&amp;quot;,&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;john.smith1&amp;quot;,&lt;br /&gt;
      &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
      ],&lt;br /&gt;
      &amp;quot;relatedTo&amp;quot;: [ &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}&amp;quot; ],&lt;br /&gt;
      &amp;quot;associatedTo&amp;quot;: [ &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}&amp;quot; ],&lt;br /&gt;
      &amp;quot;serviceSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/serviceSpecifications/{serviceSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;billingCycle&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;quantity&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;attributes&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/{serviceId}/attributes&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/orders/{orderId}/account/products/{productId}/services/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
} &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
===== Parameters =====&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: List of the services for the given product. Each element of the list has the following attributes:&lt;br /&gt;
&lt;br /&gt;
:; status - ''string''&lt;br /&gt;
:: Current status of the service. Allowed values are '''new''', '''pending''', '''open''', '''suspended''', '''close_pending''', '''closed''', '''purge_pending''' and '''purged'''&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: The name of the specific service&lt;br /&gt;
&lt;br /&gt;
:; links - ''list''&lt;br /&gt;
:: [[Hypermedia]] for the product resource&lt;br /&gt;
&lt;br /&gt;
:; relatedTo - ''list''&lt;br /&gt;
:: A list containing other services in the current order related in some way to the current service&lt;br /&gt;
&lt;br /&gt;
:; associatedTo - ''list'' (optional)&lt;br /&gt;
:: A list containing other services that are associated in some way to the service.  The list may contain links to [[Orders#Services|other new services in the order]] and/or a link to an [[Account#Products_Management|existing service]] that belongs to the same account and product.  In most cases the list may be empty unless otherwise stated.&lt;br /&gt;
&lt;br /&gt;
:; serviceSpecification - ''string''&lt;br /&gt;
:: Link to the product catalogue specification describing the given service&lt;br /&gt;
&lt;br /&gt;
:; billingCycle - ''integer''&lt;br /&gt;
:: Billing cycle (length of billing period in months) of the service. Allowed values are from '''1''' to '''120'''&lt;br /&gt;
&lt;br /&gt;
:; quantity- ''integer''&lt;br /&gt;
:: Quantity (if multiple services is allowed) of the service.&lt;br /&gt;
&lt;br /&gt;
:; attributes - ''string''&lt;br /&gt;
:: A link to the attributes of the service&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for the list of product resources&lt;br /&gt;
&lt;br /&gt;
==== Error responses ====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized&lt;br /&gt;
&lt;br /&gt;
This server could not verify that you are authorized to access the document you requested. Either you supplied the wrong credentials (e.g., bad password), or your browser does not understand how to supply the credentials required.&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
403 Forbidden - the client does not have assess to get the information about the services.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;forbidden&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;d336dd8e-bc52-44f3-b672-9aa2fac7fbf4&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Unauthorized: Services failed permission check&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 403,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
404 Not Found - the order or the product doesn't exist.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;itemNotFound&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;3a422918-24c3-4c20-9bee-f1c61695e987&amp;quot;,&lt;br /&gt;
        &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 404,&lt;br /&gt;
        &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
502 Bad Gateway - unexpected error from the backend.&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;computeFault&amp;quot;: {&lt;br /&gt;
        &amp;quot;guid&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;,&lt;br /&gt;
        &amp;quot;timestamp&amp;quot;: &amp;quot;2014-09-10 20:59:50&amp;quot;,&lt;br /&gt;
        &amp;quot;code&amp;quot;: 502,&lt;br /&gt;
        &amp;quot;errorRefId&amp;quot;: &amp;quot;8ced5fe7-f6a9-4e8f-8700-cfc9fa15e6ce&amp;quot;&lt;br /&gt;
    }&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Orders|Orders API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Orders</id>
		<title>Orders</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Orders"/>
				<updated>2015-07-29T11:53:03Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= Ordering API =&lt;br /&gt;
The ordering API supports the operations of creating, building and placing orders. &lt;br /&gt;
The orders are the main method of creating new accounts and adding and managing the products for an account.&lt;br /&gt;
__TOC__&lt;br /&gt;
[{{fullurl:{{FULLPAGENAMEE}}|action=pdfbook}} download this selection of articles as a PDF book]&lt;br /&gt;
&lt;br /&gt;
== Orders ==&lt;br /&gt;
Order management resources.&lt;br /&gt;
* [[Orders:POST|POST /orders]] - Creates a new order&lt;br /&gt;
* [[Orders-orderId:GET|GET /orders/{orderId}]] - Returns order details&lt;br /&gt;
* [[Orders-orderId:DELETE|DELETE /orders/{orderId}]] - Deletes an order&lt;br /&gt;
* [[Orders-orderId-action:POST|POST /orders/{orderId}/action]] - Performs an action on an order&lt;br /&gt;
&lt;br /&gt;
== Order Shorthand ==&lt;br /&gt;
An URL shortcut allowing the user to access the currently open order without specifying the order ID.&lt;br /&gt;
* [[Order Shorthand]]&lt;br /&gt;
&lt;br /&gt;
== Order Attributes ==&lt;br /&gt;
Custom attributes for an Order.&lt;br /&gt;
* [[Orders-orderId-attributes:PUT|PUT /orders/{orderId}/attributes]] - Sets order attributes&lt;br /&gt;
* [[Orders-orderId-attributes:GET|GET /orders/{orderId}/attributes]] - Returns order attributes&lt;br /&gt;
&lt;br /&gt;
== Account ==&lt;br /&gt;
Customer information in a given order. Only one account is allowed per order.&lt;br /&gt;
* [[Orders-orderId-account:PUT|PUT /orders/{orderId}/account]] - Add account to the order&lt;br /&gt;
* [[Orders-orderId-account:GET|GET /orders/{orderId}/account]] - Returns the account details&lt;br /&gt;
&lt;br /&gt;
== Account Attributes ==&lt;br /&gt;
Custom attributes for an Account in a given Order.&lt;br /&gt;
* [[Orders-orderId-account-attributes:PUT|PUT /orders/{orderId}/account/attributes]] - Sets account attributes&lt;br /&gt;
* [[Orders-orderId-account-attributes:GET|GET /orders/{orderId}/account/attributes]] - Returns account attributes&lt;br /&gt;
* [[Orders-orderId-account-attributes:DELETE|DELETE /orders/{orderId}/account/attributes]] - Deletes all account attributes&lt;br /&gt;
&lt;br /&gt;
== Account Contact Info ==&lt;br /&gt;
Various types of Contact Info set for an Account in a given Order.&lt;br /&gt;
* [[Orders-orderId-account-contactInfo-contactType:PUT|PUT /orders/{orderId}/account/contactInfo/{contactType}]] - Set contact details&lt;br /&gt;
* [[Orders-orderId-account-contactInfo-contactType:GET|GET /orders/{orderId}/account/contactInfo{contactType}]] - Returns contact details&lt;br /&gt;
* [[Orders-orderId-account-contactInfo:GET|GET /orders/{orderId}/account/contactInfo]] - Returns all account contacts&lt;br /&gt;
* [[Orders-orderId-account-contactInfo-contactType:DELETE|DELETE /orders/{orderId}/account/contactInfo/{contactType}]] - Deletes specific contact&lt;br /&gt;
&lt;br /&gt;
== Account Payment Information ==&lt;br /&gt;
Payment method information for an Account in a given Order.  An account cannot have multiple payment methods.&lt;br /&gt;
* [[Orders-orderId-account-paymentInfo:PUT|PUT /orders/{orderId}/account/paymentInfo]] - Sets the payment method for an account&lt;br /&gt;
* [[Orders-orderId-account-paymentInfo:GET|GET /orders/{orderId}/account/paymentInfo]] - Returns the payment method for an account&lt;br /&gt;
&lt;br /&gt;
== Account User ==&lt;br /&gt;
User information for an Account in a given Order.&lt;br /&gt;
* [[Orders-orderId-account-user:PUT|PUT /orders/{orderId}/account/user]] - Sets the account user credentials&lt;br /&gt;
* [[Orders-orderId-account-user:GET|GET /orders/{orderId}/account/user]] - Returns information about account user credentials&lt;br /&gt;
&lt;br /&gt;
== Products ==&lt;br /&gt;
Products included in the order.&lt;br /&gt;
* [[Orders-orderId-account-products:POST|POST /orders/{orderId}/account/products]] - Adds product to the account&lt;br /&gt;
* [[Orders-orderId-account-products:GET|GET /orders/{orderId}/account/products]] - Gets all products&lt;br /&gt;
* [[Orders-orderId-account-products-productId:GET|GET /orders/{orderId}/account/products/{productId}]] - Gets the product details&lt;br /&gt;
* [[Orders-orderId-account-products-productId:PUT|PUT /orders/{orderId}/account/products/{productId}]] - Updates product details&lt;br /&gt;
* [[Orders-orderId-account-products-productId:DELETE|DELETE /orders/{orderId}/account/products/{productId}]] - Removes product from the order&lt;br /&gt;
&lt;br /&gt;
== Services ==&lt;br /&gt;
Services included in the products.&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services:POST|POST /orders/{orderId}/account/products/{productId}/services]] - Adds service to a product&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services:GET|GET /orders/{orderId}/account/products/{productId}/services]] - Gets all services for a product&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId:GET|GET /orders/{orderId}/account/products/{productId}/services/{serviceId}]] - Gets service details&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId:PUT|PUT /orders/{orderId}/account/products/{productId}/services/{serviceId}]] - Updates service details&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId:DELETE|DELETE /orders/{orderId}/account/products/{productId}/services/{serviceId}]] - Removes service from a product&lt;br /&gt;
&lt;br /&gt;
== Service Attributes ==&lt;br /&gt;
Attributed for the included services.&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-attributes:PUT|PUT /orders/{orderId}/account/products/{productId}/services/{serviceId}/attributes]] - Adds service attributes&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-attributes:GET|GET /orders/{orderId}/account/products/{productId}/services/{serviceId}/attributes]] - Gets service attributes&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-attributes:OPTIONS|OPTIONS /orders/{orderId}/account/products/{productId}/services/{serviceId}/attributes]] - Returns information about supported attributes&lt;br /&gt;
* [[ServiceAttributesStructure|Service Attributes Structure]] - Structure of attributes set supported by Hostway API&lt;br /&gt;
&lt;br /&gt;
== Service Notes ==&lt;br /&gt;
Notes for services.&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-notes:POST|POST /orders/{orderId}/account/products/{productId}/services/{serviceId}/notes]] - Adds a service note&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-notes:PUT|PUT /orders/{orderId}/account/products/{productId}/services/{serviceId}/notes]] - Updates the service notes&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-notes:GET|GET /orders/{orderId}/account/products/{productId}/services/{serviceId}/notes]] - Gets all the service notes&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-notes:DELETE|DELETE /orders/{orderId}/account/products/{productId}/services/{serviceId}/notes]] - Deletes the service notes&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-notes:OPTIONS|OPTIONS /orders/{orderId}/account/products/{productId}/services/{serviceId}/notes]] - Returns information about supported attributes&lt;br /&gt;
&lt;br /&gt;
== Promotion Codes ==&lt;br /&gt;
Describes handling of promotion codes.&lt;br /&gt;
&lt;br /&gt;
=== Product Promotion Codes ===&lt;br /&gt;
* [[Orders-orderId-account-products-productId-promotion:PUT|PUT /orders/{orderId}/account/products/{productId}/promotion]] - Add or update promotion code for a product.&lt;br /&gt;
* [[Orders-orderId-account-products-productId-promotion:DELETE|DELETE /orders/{orderId}/account/products/{productId}/promotion]] - Removes the promotion code for a product.&lt;br /&gt;
&lt;br /&gt;
=== Service Promotion Codes ===&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-promotion:PUT|PUT /orders/{orderId}/account/products/{productId}/services/{serviceId}/promotion]] - Add or update promotion code for a service.&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-promotion:DELETE|DELETE /orders/{orderId}/account/products/{productId}/services/{serviceId}/promotion]] - Removes the promotion code for a service.&lt;br /&gt;
&lt;br /&gt;
== Custom Discounts ==&lt;br /&gt;
Custom discounts at the order, product and service levels. Managing discounts requires elevated permissions.&lt;br /&gt;
&lt;br /&gt;
=== Order Discounts ===&lt;br /&gt;
* [[Orders-orderId-discounts:PUT|PUT /orders/{orderId}/discounts]] - Adds order discounts&lt;br /&gt;
* [[Orders-orderId-discounts:GET|GET /orders/{orderId}/discounts]] - Returns all order discounts&lt;br /&gt;
* [[Orders-orderId-discounts:DELETE|DELETE /orders/{orderId}/discounts]] - Removes all order discounts&lt;br /&gt;
&lt;br /&gt;
=== Product Discounts ===&lt;br /&gt;
* [[Orders-orderId-account-products-productId-discounts:PUT|PUT /orders/{orderId}/account/products/{productId}/discounts]] - Adds product discounts&lt;br /&gt;
* [[Orders-orderId-account-products-productId-discounts:GET|GET /orders/{orderId}/account/products/{productId}/discounts]] - Returns all product discounts&lt;br /&gt;
* [[Orders-orderId-account-products-productId-discounts:DELETE|DELETE /orders/{orderId}/account/products/{productId}/discounts]] - Removes all product discounts&lt;br /&gt;
&lt;br /&gt;
=== Service Discounts ===&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-discounts:PUT|PUT /orders/{orderId}/account/products/{productId}/services/{serviceId}/discounts]] - Adds service discounts&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-discounts:GET|GET /orders/{orderId}/account/products/{productId}/services/{serviceId}/discounts]] - Returns all service discounts&lt;br /&gt;
* [[Orders-orderId-account-products-productId-services-serviceId-discounts:DELETE|DELETE /orders/{orderId}/account/products/{productId}/services/{serviceId}/discounts]] - Removes all service discounts&lt;br /&gt;
&lt;br /&gt;
== Order Quote ==&lt;br /&gt;
Quote information for a given order.&lt;br /&gt;
* [[Orders-orderId-quote:GET|GET /orders/{orderId}/quote]] - Returns quote for the products and services in the order&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
= Order Flow Examples =&lt;br /&gt;
== Order Account Associations ==&lt;br /&gt;
* [[Order-Products-Account|Order Products Account]] - Example order flow with adding initially products and than account&lt;br /&gt;
* [[Order-Products-Account-Modify|Order Products Account Modify]] - Example order flow with adding initially products than account and modify it later&lt;br /&gt;
&lt;br /&gt;
== Email Products ==&lt;br /&gt;
* [[Order-Email-Domain|Order Email Domain]] - Example order flow for purchasing an email domain&lt;br /&gt;
* [[Order-Domain-Alias|Order Domain Alias]] - Example order flow for purchasing an email domain alias&lt;br /&gt;
&lt;br /&gt;
== Microsoft Exchange Products ==&lt;br /&gt;
* [[Order-Exchange|Order Exchange domain]] - Example order flow for purchasing exchange domain&lt;br /&gt;
* [[Order-Exchange-mailbox-free|Order Free Exchange Mailbox]]&lt;br /&gt;
* [[Order-Exchange-mailbox-paid|Order Paid Exchange Mailbox]]&lt;br /&gt;
* [[Order-Exchange-otherproduct|Ordering Other Exchange Products]] - Example order flow that applies to Exchange email encryption, archiving, mailing list and blackberry products&lt;br /&gt;
&lt;br /&gt;
== Cloud Products ==&lt;br /&gt;
* [[Order-cloud-drive|Order Cloud Drive]] - Example order flow for purchasing a Cloud Drive&lt;br /&gt;
* [[Order-cloud-backup|Order Cloud Backup]] - Example order flow for purchasing a Cloud Backup&lt;br /&gt;
&lt;br /&gt;
== WebsPlanet Products ==&lt;br /&gt;
* [[Order-webs-planet|WebsPlanet]] - Example order flow for purchasing a WebsPlanet&lt;br /&gt;
&lt;br /&gt;
== VPS Virtuozzo Products ==&lt;br /&gt;
* [[Order-vps-virtuozzo|VpsVirtuozzo]] - Example order flow for purchasing VPS Virtuozzo products and services&lt;br /&gt;
&lt;br /&gt;
== Domain Registration Products ==&lt;br /&gt;
* [[Order-Domain|Order Domain]] - Example order flow for purchasing a domain&lt;br /&gt;
* [[Order-Domain-Shortcut|Order Domain Shortcut]] - Example order flow for purchasing a domain by using the domain shortcut&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Ordering API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-account-dedicatedServers-server-ipAddresses-ipaddress:GET</id>
		<title>Accounts-account-dedicatedServers-server-ipAddresses-ipaddress:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-account-dedicatedServers-server-ipAddresses-ipaddress:GET"/>
				<updated>2015-04-01T13:14:46Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/{account_number}/dedicatedServers/{serverId}/ipAddresses/{ipAddress} =&lt;br /&gt;
Retrieves a list of the IP addresses of a dedicated server&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{account_number}''/dedicatedServers/''{serverId}''/ipAddresses/''{ipAddress}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; account_number - ''string''&lt;br /&gt;
: The user account owning the dedicated servers&lt;br /&gt;
; serverId - ''string''&lt;br /&gt;
: The specified dedicated server Id&lt;br /&gt;
; ipAddress - ''string''&lt;br /&gt;
: The IP address&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
 &amp;quot;monitoring&amp;quot;:[{&amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/monitoring&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;}], &lt;br /&gt;
 &amp;quot;ipaddressid&amp;quot;: &amp;quot;{ipAddress}&amp;quot;,&lt;br /&gt;
 &amp;quot;links&amp;quot;: [{&amp;quot;href&amp;quot;: &amp;quot;{APIBaseURL}/accounts/{accountId}/dedicatedServers/{serverId}/ipAddresses/{ipAddress}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; monitoring- ''list''&lt;br /&gt;
: [[Hypermedia]] for a monitor call to the IP address product.&lt;br /&gt;
&lt;br /&gt;
; ipaddressid - ''string''&lt;br /&gt;
: The IP address&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource.&lt;br /&gt;
&lt;br /&gt;
=== Expected Response Codes  ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid.&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden&lt;br /&gt;
: The authorized user does not have permissions to access the resource. The only user(s) who has access to the dedicated servers list must be a sales agent, the account owner, or the account technical admin. &lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The account or server does not exist.&lt;br /&gt;
&lt;br /&gt;
; 405 Method not allowed&lt;br /&gt;
: The HTTP request method is not allowed.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Get a specific dedicated server IP ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET /accounts/test-ng-809027223/dedicatedServers/test-ng-809027223-00000132ff10f8d8d63e8ce6000ac648/ipAddresses/11.10.13.11&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
 &amp;quot;monitoring&amp;quot;:&lt;br /&gt;
    [&lt;br /&gt;
     {&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;http://coreapi01.ote.chicago.hostway:8092/accounts/test-ng-809027223/dedicatedServers/test-ng-809027223-00000132ff10f8d8d63e8ce6000ac648/ipAddresses/11.10.13.11/monitoring&amp;quot;,&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;related&amp;quot;&lt;br /&gt;
     }&lt;br /&gt;
    ],&lt;br /&gt;
 &amp;quot;ipaddressid&amp;quot;: &amp;quot;11.10.13.11&amp;quot;,&lt;br /&gt;
 &amp;quot;links&amp;quot;:&lt;br /&gt;
    [&lt;br /&gt;
     {&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;http://coreapi01.ote.chicago.hostway:8092/accounts/test-ng-809027223/dedicatedServers/test-ng-809027223-00000132ff10f8d8d63e8ce6000ac648/ipAddresses/11.10.13.11/&amp;quot;,&lt;br /&gt;
      &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;&lt;br /&gt;
     }&lt;br /&gt;
    ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Dedicated_Server_API|Dedicated Server API]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Dedicated Server API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-products:GET</id>
		<title>Accounts-accountId-products:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-products:GET"/>
				<updated>2014-08-13T12:07:54Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/''{accountId}''/products =&lt;br /&gt;
Retrieves a list of all products associated with a given account.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/products&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
&lt;br /&gt;
; filterStatus - ''string''&lt;br /&gt;
: Optional. Only products with status matching the value of the parameter will be returned. Allowed values are '''pending''', '''open''', '''suspended''', '''closed'''.&lt;br /&gt;
&lt;br /&gt;
; filterDisplayName - ''string''&lt;br /&gt;
: Optional. Only products with displayName matching the value of the parameter will be returned.&lt;br /&gt;
&lt;br /&gt;
; filterPartnerId - ''string''&lt;br /&gt;
: Optional. Only products with parnterId matching the value of the parameter will be returned.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account Id was not found.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Access to '''closed''' and '''suspended''' accounts requires elevated permissions&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;list&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;Product 1&amp;quot;,&lt;br /&gt;
      &amp;quot;displayName&amp;quot;: &amp;quot;My custom product name&amp;quot;,&lt;br /&gt;
      &amp;quot;partnerId&amp;quot;: &amp;quot;Partner purchased plan Id&amp;quot;,&lt;br /&gt;
      &amp;quot;productSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecId1}&amp;quot;,&lt;br /&gt;
      &amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;,&lt;br /&gt;
      &amp;quot;billingCycle&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/{productId1}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
      ]&lt;br /&gt;
    },&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;name&amp;quot;: &amp;quot;Product 2&amp;quot;,&lt;br /&gt;
      &amp;quot;displayName&amp;quot;: &amp;quot;My custom product name&amp;quot;,&lt;br /&gt;
      &amp;quot;partnerId&amp;quot;: &amp;quot;Partner purchased plan Id&amp;quot;,&lt;br /&gt;
      &amp;quot;productSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecId2}&amp;quot;&lt;br /&gt;
      &amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;,&lt;br /&gt;
      &amp;quot;billingCycle&amp;quot;: 1,&lt;br /&gt;
      &amp;quot;links&amp;quot;: [&lt;br /&gt;
        {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/products/{productId2}&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
      ],&lt;br /&gt;
    }&lt;br /&gt;
  ],&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/products&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; list - ''list''&lt;br /&gt;
: A collection of dictionaries containing information about specific products&lt;br /&gt;
&lt;br /&gt;
:; status - ''string''&lt;br /&gt;
:: Describes the status of a product. Valid values are '''open''', '''closed''' or '''suspended'''&lt;br /&gt;
&lt;br /&gt;
:; name - ''string''&lt;br /&gt;
:: Descriptive name of the product&lt;br /&gt;
&lt;br /&gt;
:; billingCycle - ''integer''&lt;br /&gt;
:: Billing cycle (length of billing period in months) of the service. Allowed values are from '''1''' to '''120'''&lt;br /&gt;
&lt;br /&gt;
:; productSpecification - ''string''&lt;br /&gt;
:: [[Hypermedia]] for this product resource. Link to the product's specification.&lt;br /&gt;
&lt;br /&gt;
:;  links - ''list''&lt;br /&gt;
:: [[Hypermedia]] for this product resource. Links to the product.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== Alternative with partner Id ==&lt;br /&gt;
As an alternative to using the account Id the client can use a partner-specific Id set via the account attribute [[Orders-orderId-account-attributes:PUT|partner_account_id]]. The response to this request is the same as the response to a request using the account Id.&lt;br /&gt;
&lt;br /&gt;
&amp;lt;code&amp;gt;GET /partnerAccounts/''{partnerAccountId}''/products&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; partnerAccountId - ''string''&lt;br /&gt;
: Partner account Id set via the [[Orders-orderId-account-attributes:PUT|partner_account_id]] attribute.&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Accounts-accountId-products-productId:GET</id>
		<title>Accounts-accountId-products-productId:GET</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Accounts-accountId-products-productId:GET"/>
				<updated>2014-08-13T11:55:11Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= GET /accounts/''{accountId}''/products/{productId} =&lt;br /&gt;
Get product information and (if requested) possible product changes.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/products/{productId}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
; productId - ''string''&lt;br /&gt;
: The Id of the product.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; getTargetProductSpecifications - ''boolean''&lt;br /&gt;
: Optional. If set to 1 the response will include valid product specification change targets list.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK&lt;br /&gt;
: Success.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: Authorization credentials not submitted or invalid.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found&lt;br /&gt;
: The account or product Id not found.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
The response body includes product specification change targets list when the ''getTargetProductSpecifications'' URI parameter is set to 1.&lt;br /&gt;
&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;open&amp;quot;,&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;Product Name&amp;quot;,&lt;br /&gt;
  &amp;quot;displayName&amp;quot;: &amp;quot;My custom product name&amp;quot;,&lt;br /&gt;
  &amp;quot;partnerId&amp;quot;: &amp;quot;Partner purchased plan Id&amp;quot;,&lt;br /&gt;
  &amp;quot;billingCycle&amp;quot;: 12,&lt;br /&gt;
  &amp;quot;productSpecification&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{productSpecificationId}&amp;quot;,&lt;br /&gt;
  &amp;quot;changes&amp;quot;: [&lt;br /&gt;
    {&lt;br /&gt;
      &amp;quot;type&amp;quot;: &amp;quot;upgrade&amp;quot;,&lt;br /&gt;
      &amp;quot;id&amp;quot;: &amp;quot;{targetProductSpecificationId}&amp;quot;,&lt;br /&gt;
      &amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/productSpecifications/{targetProductSpecificationId}&amp;quot;&lt;br /&gt;
    },&lt;br /&gt;
  ]&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{accountId}/products/{productId}/&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: Current status of the product. Allowed values are '''new''', '''pending''', '''open''', '''suspended''', '''close_pending''', '''closed''' and '''purge_pending'''.&lt;br /&gt;
&lt;br /&gt;
; name - ''string''&lt;br /&gt;
: Name of the product.&lt;br /&gt;
&lt;br /&gt;
; billingCycle - ''integer''&lt;br /&gt;
: Billing cycle of the product in months.&lt;br /&gt;
&lt;br /&gt;
; productSpecification - ''string''&lt;br /&gt;
: Link to the specification of the current product.&lt;br /&gt;
&lt;br /&gt;
; changes - ''list''&lt;br /&gt;
: A list with the valid product change targets. Returned if ''getTargetProductSpecifications=1'' query parameter is passed&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for the product resource&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Dns-zone-records-recordId:PUT</id>
		<title>Dns-zone-records-recordId:PUT</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Dns-zone-records-recordId:PUT"/>
				<updated>2014-04-25T11:54:15Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= PUT /dns/''{zone}''/records/''{recordId}'' =&lt;br /&gt;
Update an existing zone record.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /dns/''{zone}''/records/''{recordId}''&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
; zone - ''string''&lt;br /&gt;
: The DNS zone of the record.&lt;br /&gt;
&lt;br /&gt;
; recordId - ''string''&lt;br /&gt;
: The uniques Id of the record.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Content-Type&lt;br /&gt;
: application/json&lt;br /&gt;
&lt;br /&gt;
; Authorization&lt;br /&gt;
: Base64-encoded username &amp;amp; password string&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
&lt;br /&gt;
  Added support for wildcard domain names.&lt;br /&gt;
   Ex:&lt;br /&gt;
      *&lt;br /&gt;
      *.somedomain.com&lt;br /&gt;
   The wildcard record name is stored in the database as it is supplied.&lt;br /&gt;
   If it's missing the zone origin(i.e. '*') the API will return it with the zone&lt;br /&gt;
   appended, i.e. '*.domain.com'.&lt;br /&gt;
   &lt;br /&gt;
&lt;br /&gt;
   Added support for @ records, which represent the origin itself.&lt;br /&gt;
   Ex:&lt;br /&gt;
      @&lt;br /&gt;
   The API will return the record with the zone origin appended to the name, i.e. '@.domain.com'&lt;br /&gt;
&lt;br /&gt;
====A record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain},&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;A&amp;quot;, &lt;br /&gt;
    &amp;quot;address&amp;quot;: {ip_address},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====AAAA record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain},&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;AAAA&amp;quot;, &lt;br /&gt;
    &amp;quot;address&amp;quot;: {ipv6_address},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====NS record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain}, &lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;NS&amp;quot;, &lt;br /&gt;
    &amp;quot;nsdname&amp;quot;: {ns_domain},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====TXT record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain},&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;TXT&amp;quot;, &lt;br /&gt;
    &amp;quot;data&amp;quot;: {data},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====SRV record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain},&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;SRV&amp;quot;, &lt;br /&gt;
    &amp;quot;priority&amp;quot;: {priority}, &lt;br /&gt;
    &amp;quot;weight&amp;quot;: {weight}, &lt;br /&gt;
    &amp;quot;port&amp;quot;: {port}, &lt;br /&gt;
    &amp;quot;target&amp;quot;: {target},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====MX record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {domain}, &lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;MX&amp;quot;, &lt;br /&gt;
    &amp;quot;preference&amp;quot;: {preference}, &lt;br /&gt;
    &amp;quot;exchange&amp;quot;: {mx_domain},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====CNAME record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
    &amp;quot;name&amp;quot;: {name},&lt;br /&gt;
    &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;, &lt;br /&gt;
    &amp;quot;cname&amp;quot;: {domain},&lt;br /&gt;
    &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK : Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request : TTL is below allowed minimum&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized :&lt;br /&gt;
&lt;br /&gt;
; 403 Forbidden :&lt;br /&gt;
&lt;br /&gt;
; 409 Conflict :&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Unauthorized Request ===&lt;br /&gt;
''Request''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /dns/test.com/records/1234&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized &lt;br /&gt;
&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Successful Update ===&lt;br /&gt;
&lt;br /&gt;
''Request''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT /dns/test.com/records/1234&lt;br /&gt;
Authorization: Basic {base64_encoded(username:password)}&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test1&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain1.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
200 OK&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test1&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain1.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[DNS|DNS API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:DNS API]]&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php/Dns-zone-records:POST</id>
		<title>Dns-zone-records:POST</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php/Dns-zone-records:POST"/>
				<updated>2014-04-25T11:53:29Z</updated>
		
		<summary type="html">&lt;p&gt;Velko.hristov: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;= POST /dns/''{zone}''/records =&lt;br /&gt;
Creates new DNS zone records.&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /dns/''{zone}''/records&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; zone - ''string''&lt;br /&gt;
: The name of the DNS zone.&lt;br /&gt;
&lt;br /&gt;
==== URI Parameters ====&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
; Authorization&lt;br /&gt;
: Base64-encoded username:password string&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: application/json&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
&lt;br /&gt;
  Added support for wildcard domain names.&lt;br /&gt;
   Ex:&lt;br /&gt;
      *&lt;br /&gt;
      *.somedomain.com&lt;br /&gt;
   The wildcard record name is stored in the database as it is supplied.&lt;br /&gt;
   If it's missing the zone origin(i.e. '*') the API will return it with the zone&lt;br /&gt;
   appended, i.e. '*.domain.com'.&lt;br /&gt;
   &lt;br /&gt;
&lt;br /&gt;
   Added support for @ records, which represent the origin itself.&lt;br /&gt;
   Ex:&lt;br /&gt;
      @&lt;br /&gt;
   The API will return the record with the zone origin appended to the name, i.e. '@.domain.com'&lt;br /&gt;
====A record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;A&amp;quot;,&lt;br /&gt;
  &amp;quot;address&amp;quot;: &amp;quot;{ip_address}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====AAAA record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;AAAA&amp;quot;,&lt;br /&gt;
  &amp;quot;address&amp;quot;: &amp;quot;{ipv6_address}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====NS record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;NS&amp;quot;,&lt;br /&gt;
  &amp;quot;nsdname&amp;quot;: &amp;quot;{ns_domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====TXT record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;TXT&amp;quot;,&lt;br /&gt;
  &amp;quot;data&amp;quot;: &amp;quot;{data}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====SRV record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;SRV&amp;quot;,&lt;br /&gt;
  &amp;quot;priority&amp;quot;: {priority},&lt;br /&gt;
  &amp;quot;weight&amp;quot;: {weight},&lt;br /&gt;
  &amp;quot;port&amp;quot;: {port},&lt;br /&gt;
  &amp;quot;target&amp;quot;: &amp;quot;{target}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====MX record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;MX&amp;quot;,&lt;br /&gt;
  &amp;quot;preference&amp;quot;: {preference},&lt;br /&gt;
  &amp;quot;exchange&amp;quot;: &amp;quot;{mx_domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
====CNAME record====&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{ &lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;{name}&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;{domain}&amp;quot;,&lt;br /&gt;
  &amp;quot;ttl&amp;quot;: 3600&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 200 OK : Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request : TTL is below allowed minimum&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized : The server could not verify the credentials from the authorization header.&lt;br /&gt;
&lt;br /&gt;
; 404 Not Found : The specified zone does not exist.&lt;br /&gt;
&lt;br /&gt;
=== Response Header ===&lt;br /&gt;
; Location&lt;br /&gt;
: The URI of the new DNS record.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Successful Request ===&lt;br /&gt;
''Request''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /dns/test.com/records&lt;br /&gt;
Authorization: Basic {base64_encoded(username:password)}&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
201 Created&lt;br /&gt;
Location: &amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/dns/test.com/records/447&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Unauthorized Request ===&lt;br /&gt;
''Request''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /dns/test.com/records&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
401 Unauthorized &lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Attempt to create duplicate record ===&lt;br /&gt;
''Request''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST /dns/test.com/records&lt;br /&gt;
Authorization: Basic {base64_encoded(username:password)}&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;name&amp;quot;: &amp;quot;test&amp;quot;,&lt;br /&gt;
  &amp;quot;type&amp;quot;: &amp;quot;CNAME&amp;quot;,&lt;br /&gt;
  &amp;quot;cname&amp;quot;: &amp;quot;otherdomain.com.&amp;quot;&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
''Response''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
409 Conflict&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;conflict&amp;quot;: {&amp;quot;message&amp;quot;: &amp;quot;Data conflict&amp;quot;, &amp;quot;code&amp;quot;: 409, &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;}&lt;br /&gt;
}&amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[DNS|DNS API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:DNS API]]&lt;br /&gt;
code&amp;gt;POST /dns/''{zone}''/records&lt;/div&gt;</summary>
		<author><name>Velko.hristov</name></author>	</entry>

	</feed>